<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>

<%@page import="java.util.ResourceBundle"%><jsp:include page="../dialog/display_messages.jsp"/>


<%@page import="java.lang.Exception" %>

<%
    String serverURL = CarbonUIUtil.getServerURL(config.getServletContext(), session);
    ConfigurationContext configContext =
            (ConfigurationContext) config.getServletContext().getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    String forwardTo = null;
    PaginatedPolicySetDTO paginatedPolicySetDTO = null;
    PolicyDTO[] policies = null;
    String BUNDLE = "org.wso2.carbon.identity.entitlement.ui.i18n.Resources";
	ResourceBundle resourceBundle = ResourceBundle.getBundle(BUNDLE, request.getLocale());

    int numberOfPages = 0;
    String pageNumber = request.getParameter("pageNumber");
    if (pageNumber == null) {
        pageNumber = "0";
    }
    int pageNumberInt = 0;
    try {
        pageNumberInt = Integer.parseInt(pageNumber);
    } catch (NumberFormatException ignored) {
    }

    try {
        EntitlementPolicyAdminServiceClient client = new EntitlementPolicyAdminServiceClient(cookie, serverURL, configContext);
        paginatedPolicySetDTO = client.getAllPolicies(pageNumberInt);
        policies = paginatedPolicySetDTO.getPolicySet();
        numberOfPages = paginatedPolicySetDTO.getNumberOfPages();

    } catch (Exception e) {
    	String message = resourceBundle.getString("error.while.loading.policy");
        CarbonUIMessage.sendCarbonUIMessage(message, CarbonUIMessage.ERROR, request);
        forwardTo = "../admin/error.jsp";
%>

<%@page import="org.wso2.carbon.identity.entitlement.ui.client.EntitlementPolicyAdminServiceClient" %>
<%@page import="org.wso2.carbon.identity.entitlement.ui.dto.PolicyDTO" %>
<%@ page import="org.wso2.carbon.identity.entitlement.ui.dto.PaginatedPolicySetDTO" %>
<script type="text/javascript">
    function forward() {
        location.href = "<%=forwardTo%>";
    }
</script>

<script type="text/javascript">
    forward();
</script>
<%
    }
%>

<fmt:bundle basename="org.wso2.carbon.identity.entitlement.ui.i18n.Resources">
    <carbon:breadcrumb
            label="ent.policies"
            resourceBundle="org.wso2.carbon.identity.entitlement.ui.i18n.Resources"
            topPage="true"
            request="<%=request%>"/>

    <script type="text/javascript" src="../carbon/admin/js/breadcrumbs.js"></script>
    <script type="text/javascript" src="../carbon/admin/js/cookies.js"></script>
    <script type="text/javascript" src="../carbon/admin/js/main.js"></script>


    <div id="middle">
        <h2><fmt:message key='user.ent'/></h2>

        <div id="workArea">
            <script type="text/javascript">
                function remove(policy) {
                    CARBON.showConfirmationDialog('You are about to remove ' + policy + '. Do you want to proceed?',
                            function() {
                                location.href = "remove-policy.jsp?policyid=" + policy;
                            }, null);
                }
            </script>
            <table style="border:none;">
                <tr>
                    <td>
                        <div style="height:30px;">
                            <a href="javascript:document.location.href='add-policy.jsp'" class="icon-link"
                               style="background-image:url(../admin/images/add.gif);"><fmt:message key='add.new.ent.policy'/></a>
                        </div>
                    </td>
                    <td>
                        <div style="height:30px;">
                            <a href="javascript:document.location.href='import-policy.jsp'" class="icon-link"
                               style="background-image:url(images/import.gif);"><fmt:message key='import.new.ent.policy'/></a>
                        </div>
                    </td>
                    <td>
                        <div style="height:30px;">
                            <a href="javascript:document.location.href='eval-policy.jsp'" class="icon-link"
                               style="background-image:url(images/policy.gif);"><fmt:message key='eval.ent.policies'/></a>
                        </div>
                    </td>
                </tr>
            </table>
            <table style="width: 100%" class="styledLeft">
                <thead>
                <tr>
                    <th colspan="2"><fmt:message key='available.ent.policies'/></th>
                </tr>
                </thead>
                <tbody>
                <%
                    if (policies != null) {
                        for (int i = 0; i < policies.length; i++) {
                if(policies[i] != null){%>
                <tr>
                    <td width="50%"><a
                            href="policy-view.jsp?policyid=<%=policies[i].getPolicyId()%>"><%=policies[i].getPolicyId()%>
                    </a></td>
                    <td width="50%"><a title="<fmt:message key='remove.policy'/>"
                                       onclick="remove('<%=policies[i].getPolicyId()%>');return false;"
                                       href="#" style="background-image: url(images/delete.gif);" class="icon-link">
                                       <fmt:message key='delete'/></a></td>                        
                </tr>
                <%} }
                } else { %>
                <tr>
                    <td colspan="2"><i><fmt:message key='no.policies.defined'/></i></td>
                </tr>
                <%}%>
                </tbody>
            </table>
            <carbon:paginator pageNumber="<%=pageNumberInt%>" numberOfPages="<%=numberOfPages%>"
                              page="index.jsp" pageNumberParameterName="pageNumber"
                              resourceBundle="org.wso2.carbon.identity.entitlement.ui.i18n.Resources"
                              prevKey="prev" nextKey="next"
                              />
        </div>
    </div>
</fmt:bundle>
