function validateEmpty(fld,fldName) {
    var error = "";
    fld.value = fld.value.replace(/^\s\s*/, '').replace(/\s\s*$/, '');
    if (fld.value.length == 0) {
        error = "The required field "+fldName+" has not been filled in.<br />"
    } else {
        fld.style.background = 'White';
    }
    return error;
}

function validateUrl(fld,fldName) {

	var error = "";
	var regx = RegExp("(http|https|ftp|file)://.*");
	if(!(fld.value.match(regx))){
		error = "The "+fldName+" is not a valid URL.<br />";
	}


	return error;
}
function validateFilePath(fld,fldName) {

	var error = "";
	var regx = RegExp("([a-zA-Z]:\\.*)|(/.*)");
	if(!fld.value.match(regx)){
		error = "The "+fldName+" is not a valid URL.<br />";

	}

	return error;

}
function validateIllegal(fld,fldName){
    var error = "";

    var illegalChars = /([^a-zA-Z0-9_\-\x2E\&\?\/\:\,\s])/; // allow only letters and numbers - _and period
    var illegalCharsInput = /(\<[a-zA-Z0-9\s\/]*>)/;
    if (illegalChars.test(fld.value) || illegalCharsInput.test(fld.value)) {
        error = "The "+fldName+" contains one or more illegal characters (~!@#$%^*()+={}[]|\\<>).<br />";
    } else{
        fld.style.background = 'White';
    }

   return error;
}

function validateForInput(fld,fldName){
    var error = "";
    var illegalChars = /(\<[a-zA-Z0-9\s\/]*>)/; // match any starting tag

    if (illegalChars.test(fld.value)) {
        error = "The "+fldName+" contains illegal characters.<br />";
    } else{
        fld.style.background = 'White';
    }
   return error;
}

function validateValueForInput(fldValue,fldName){
    var error = "";
    var illegalChars = /(\<[a-zA-Z0-9\s\/]*>)/; // match any starting tag

    if (illegalChars.test(fldValue)) {
        error = "The " + fldName + " contains illegal characters.<br />";
    }
   return error;
}

function validateDate(fld,fldName){
    var error = "";
    var allowed= /(0[1-9]|1[0-2]\/[0-2][0-9]|3[0-1]\/[1-2][0-9][0-9][0-9])/;
    if (allowed.test(fld.value)) {
        fld.style.background = 'White';
    }
    else {
        error = "The "+fldName+" is not a valid date. Please make sure it's in MM/DD/YYYY format.<br />";
    }
    return error;
}
function validateUsername(fld) {
    var error = "";
    var illegalChars = /\W/; // allow letters, numbers, and underscores

    if (fld.value == "") {
        error = "You didn't enter a username.<br />";
    } else if ((fld.value.length < 5) || (fld.value.length > 15)) {
        error = "The username is the wrong length.<br />";
    } else if (illegalChars.test(fld.value)) {
        error = "The username contains illegal characters.<br />";
    } else {
        fld.style.background = 'White';
    }
    return error;
}

function validatePassword(fld) {
    var error = "";
    var illegalChars = /[\W_]/; // allow only letters and numbers

    if (fld.value == "") {
        error = "You didn't enter a password.<br />";
    } else if ((fld.value.length < 3) || (fld.value.length > 15)) {
        error = "The password is the wrong length. It should be 3 to 15 characters long.<br />";

    } else if (illegalChars.test(fld.value)) {
        error = "The password contains illegal characters.<br />";
    } /*else if (!((fld.value.search(/(a-z)+/)) && (fld.value.search(/(0-9)+/)))) {
        error = "The password must contain at least one numeral.<br />";
    } */else {
        fld.style.background = 'White';
    }
   return error;
}

function trim(str)
{
  return str.replace(/^\s+|\s+$/, '');
}
function ltrim(str) { 
	for(var k = 0; k < str.length && isWhitespace(str.charAt(k)); k++);
	return str.substring(k, str.length);
}
function isWhitespace(charToCheck) {
	var whitespaceChars = " \t\n\r\f";
	return (whitespaceChars.indexOf(charToCheck) != -1);
}

function validateEmail(fld) {
    var error="";
    var tfld = trim(fld.value);                        // value of field with whitespace trimmed off
    var emailFilter = /^[^@]+@[^@.]+\.[^@]*\w\w$/ ;
    var illegalChars= /[\(\)\<\>\,\;\:\\\"\[\]]/ ;

    if (fld.value == "") {
        error = "You didn't enter an email address.<br />";
    } else if (!emailFilter.test(tfld)) {             //test email for illegal characters
        error = "Please enter a valid email address.<br />";
    } else if (fld.value.match(illegalChars)) {
        error = "The email address contains illegal characters.<br />";
    } else {
        fld.style.background = 'White';
    }
    return error;
}