<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.identity.relyingparty.ui.dto.ClaimDTO" %>
<%@ page import="org.wso2.carbon.identity.relyingparty.ui.dto.OpenIDDTO" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@page import="org.wso2.carbon.utils.ServerConstants" %>

<script type="text/javascript" src="global-params.js"></script>

<%
    String backendServerURL;
    ConfigurationContext configContext;
    String cookie;

    String openID = (String) session.getAttribute("openIdURL");
    OpenIDDTO openIddto = (OpenIDDTO) session.getAttribute("openId");
    ClaimDTO[] claims = openIddto.getClaims();

    for(ClaimDTO claim : claims){
        session.setAttribute(claim.getClaimUri(), claim.getClaimValue());
    }

    backendServerURL = CarbonUIUtil.getServerURL(config
            .getServletContext(), session);
    configContext = (ConfigurationContext) config.getServletContext()
            .getAttribute(CarbonConstants.CONFIGURATION_CONTEXT);
    cookie = (String) session
            .getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
%>

<fmt:bundle basename="org.wso2.carbon.identity.relyingparty.ui.i18n.Resources">
    <carbon:breadcrumb
            label="associate.openid"
            resourceBundle="org.wso2.carbon.identity.relyingparty.ui.i18n.Resources"
            topPage="false"
            request="<%=request%>"/>

    <script type="text/javascript" src="../carbon/admin/js/breadcrumbs.js"></script>
    <script type="text/javascript" src="../carbon/admin/js/cookies.js"></script>
    <script type="text/javascript" src="../carbon/admin/js/main.js"></script>

    <div id="middle">
        <h2 id="identity"><fmt:message key='associate.openid.with.profile'/></h2>

        <div id="workArea">
            <form>
                <table cellspacing="0" class="normal">
                    <tr>
                        <td class="sub-header" colspan="2">
                            <a href="<%=openID%>" class="icon-link"
                               style="background-image:url(images/openid-input.gif); margin-left:0"><%=openID%>
                            </a>
                        </td>
                    </tr>
                    <tr height="4">
                        <td colspan="2"></td>
                    </tr>
                    <tr>
                        <td><fmt:message key='association.message1'/>
                        <a href="javascript:document.location.href='openid_sign_in.jsp'">
                            <fmt:message key='association.message2'/></a><fmt:message key='association.message3'/>
                            <a href="javascript:document.location.href='../../carbon/user-registration/user-registration.jsp'">
                                <fmt:message key='association.message4'/></a><fmt:message key='association.message5'/>
                        </td>

                    </tr>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>