
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>

<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.clients.ResourceServiceClient" %>
<%@ page import="org.wso2.carbon.registry.core.RegistryConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.Utils" %>
<%@ page import="org.wso2.carbon.registry.ui.common.UIConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.beans.xsd.CollectionContentBean" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.common.xsd.ResourceData" %>
<%
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
    String viewMode = Utils.getResourceViewMode(request);
    String actionStyle = "inlined".equals(viewMode) ? "display:none;" : "";
    String resourceConsumer = Utils.getResourceConsumer(request);
    String targetDivID = Utils.getTargetDivID(request);
    String requestedPage = request.getParameter(UIConstants.REQUESTED_PAGE);

    CollectionContentBean ccb;
    ResourceServiceClient client;
    String mimeMappings = null;
    String colMimeMappings = null;
    try {
        client = new ResourceServiceClient(cookie, config, session);
        ccb = client.getCollectionContent(request);
        mimeMappings = client.getCustomUIMediatypeDefinitions();
        colMimeMappings = client.getCollectionMediatypeDefinitions();
    } catch (Exception e) {
%>
<jsp:forward page="../admin/error.jsp?<%=e.getMessage()%>"/>
<%
        return;
    }
%>
<fmt:bundle basename="org.wso2.carbon.registry.ui.resource.i18n.Resources">
<div id="whileUpload" style="display:none;padding-top:0px;margin-top:20px;margin-bottom:20px;" class="ajax-loading-message">
	<img align="top" src="../resources/images/ajax-loader.gif"/>
	<span>Process may take some time. Please wait..</span>
</div>
<div class="add-resource-div" id="add-resource-div" style="display:none;">


<input type="hidden" name="path" value="<%=ccb.getPathWithVersion()%>"/>

<div class="validationError" id="resourceReason" style="display:none;"></div>

<table cellpadding="0" cellspacing="0" border="0" class="styledLeft noBorders">
<thead>
<tr>
    <th colspan="2"><strong><fmt:message key="add.resource"/></strong></th>
</tr>
</thead>
<tbody>
<tr>
    <td colspan="2">
    	<table class="normal">
    		<tr>
		    <td style="width:120px;"><fmt:message key="method"/></td>
		    <td>
		        <select id="addMethodSelector" onchange="viewAddResourceUI()">
		            <option value="upload" selected="selected"><fmt:message key="upload.content.from.file"/></option>
		            <option value="import"><fmt:message key="import.content.from.url"/></option>
		            <option value="text"><fmt:message key="text.content"/></option>
		            <option value="custom"><fmt:message key="create.custom.content"/></option>
                    <option value="symlink"><fmt:message key="add.symbolic.link"/></option>
                    <option value="remotelink"><fmt:message key="add.remote.link"/></option>
                </select>
		    </td>
		</tr>

    	</table>
    </td>
</tr>




<!-- upload file UI -->
<tr  id="uploadContentUI">
<td colspan="2">
<form onsubmit="return submitUploadContentForm();" method="post" name="resourceUploadForm"
      id="resourceUploadForm"
      action="../../fileupload/resource" enctype="multipart/form-data" target="_self">
    <input type="hidden" id="path" name="path" value="<%=ccb.getPathWithVersion()%>"/>


    <table class="styledLeft">
    <tr>
        <td class="middle-header" colspan="2"><fmt:message key="upload.content.from.file1"/></td>
    </tr>
    <tr>
        <td valign="top" style="width:120px;">
            <span><fmt:message key="file"/> <span class="required">*</span></span></td>
        <td>
            <input id="uResourceFile" type="file" name="upload" style="background-color:#cccccc" onkeypress="return blockManual(event)"
                   onchange="fillResourceUploadDetails()"/>

            <div class="helpText" id="fileHelpText">
                <fmt:message key="content.path.help.text"/>
            </div>
        </td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="name"/> <span class="required">*</span></td>

        <td><input id="uResourceName" type="text" name="filename"
                   style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="media.type"/></td>

        <td>
            <input id="uResourceMediaType" type="text" name="mediaType"
                   style="margin-bottom:10px;"/>

        </td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="description"/></td>
        <td><textarea name="description" class="normal-textarea"></textarea></td>
    </tr>
    <tr>
        <td class="buttonRow" colspan="2">
            <input type="button" class="button" value="<fmt:message key="add"/>"
                   onclick="whileUpload();submitUploadContentForm();"/>
            <input type="button" class="button" value="<fmt:message key="cancel"/>"
                   onclick="showHide('add-resource-div')"/>
        </td>
    </tr>
    </table>

</form>
</td>
</tr>

<!-- import content UI -->

<tr id="importContentUI" style="display:none;">
<td colspan="2">
<form method="post" name="resourceImportForm"
      id="resourceImportForm"
      action="/wso2registry/system/fetchResource">
    <input type="hidden" id="irParentPath" name="path" value="<%=ccb.getPathWithVersion()%>"/>


    <table class="styledLeft">
    <tr>
        <td class="middle-header" colspan="2"><fmt:message key="import.content.from.url1"/></td>
    </tr>
    <tr>
        <td valign="top" style="width:120px;">
            <span><fmt:message key="url"/> <span class="required">*</span></span></td>
        <td>
            <input id="irFetchURL" type="text" name="fetchURL"
                   onchange="fillResourceImportDetails()"/>

            <div class="helpText" id="urlHelpText" style="color:#9a9a9a;">
                <fmt:message key="content.url.help.text"/>
            </div>
        </td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="name"/> <span class="required">*</span></td>

        <td><input id="irResourceName" type="text" name="resourceName"
                   style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="media.type"/></td>

        <td>
            <input id="irMediaType" type="text" name="mediaType"
                   style="margin-bottom:10px;"/>

        </td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="description"/></td>
        <td><textarea id="irDescription" name="description" class="normal-textarea"></textarea></td>
    </tr>
    <tr>
        <td colspan="2" class="buttonRow"><input type="button" class="button"
                                                 value="<fmt:message key="add"/>"
                                                 onclick="whileUpload();submitImportContentForm();"/> <input
                type="button" class="button"
                value="<fmt:message key="cancel"/>"
                style="margin-top:10px;"
                onclick="showHide('add-resource-div')"/>
        </td>
    </tr>
    </table>

</form>
</td>
</tr>

<!-- text content UI -->

<tr id="textContentUI" style="display:none;">
<td colspan="2">
<form name="textContentForm" id="textContentForm" action="/wso2registry/system/addTextResource"
      method="post">
    <input type="hidden" id="trParentPath" name="path" value="<%=ccb.getPathWithVersion()%>"/>

    <table class="styledLeft">
    <tr>
        <td class="middle-header" colspan="2"><fmt:message key="text.content1"/></td>
    </tr>
    <tr>
        <td valign="top" style="width:120px;"><fmt:message key="name"/> <span
                class="required">*</span></td>
        <td><input type="text" id="trFileName" name="filename" style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="media.type"/></td>
        <td><input type="text" id="trMediaType" name="mediaType" value="text/plain"
                   style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="description"/></td>
        <td>
            <textarea id="trDescription" name="description"></textarea>
        </td>
    </tr>
    <tr>
        <td style="vertical-align:top !important;"><fmt:message key="content"/></td>
        <td>
            <div>
            	<input type="radio" name="richText" checked="checked" value="rich" onclick="handleRichText()" /> Rich Text Editor 
            	<input type="radio" name="richText" value="plain" onclick="handleRichText()" /> Plain Text Editor
            </div>
            <textarea id="trPlainContent" style="display:none;width:99%;height:200px"></textarea>
            <div class="yui-skin-sam" id="textAreaPanel">
                <textarea id="trContent" name="trContent" style="display:none;"></textarea>
            </div>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="buttonRow">
            <input type="button" class="button" value="<fmt:message key="add"/>"
                   style="margin-top:10px;"
                   onclick="whileUpload();submitTextContentForm();"/>
            <input type="button" class="button"
                   value="<fmt:message key="cancel"/>"
                   onclick="showHide('add-resource-div')"/>
        </td>
    </tr>
    </table>

</form>
</td>
</tr>

<!-- custom content UI -->

<tr id="customContentUI" style="display:none;">
<td colspan="2">

<table class="styledLeft">
<tr>
    <td class="middle-header" colspan="2"><fmt:message key="create.custom.content1"/></td>
</tr>
<tr>
    <td colspan="2" class="special-area" style="font-style:italic;">
        <img style="margin-right: 5px;" src="../resources/images/help-small.jpg"/>
        <fmt:message key="custom.content.help.text"/>
    </td>
</tr>
<tr>
    <td style="width:120px;"><fmt:message key="media.type"/></td>
    <td><select id="customMediaTypeID" onchange="updateOther('customMediaTypeID', '<fmt:message key="other"/>')">
<%
            if(mimeMappings != null) {
                String[] mimeMappingArray = mimeMappings.split(",");
                for(String mimeMapping: mimeMappingArray) {
                    String[] mimeParts = mimeMapping.split(":");
                    %><option value="<%=mimeParts[1]%>"><%=mimeParts[1]%></option><%
                }
            }
%>
        <option value="<fmt:message key="other"/>"><fmt:message key="other"/></option>
        </select>&nbsp;&nbsp;
        <span id="customMediaTypeIDOther" style="display:none"><fmt:message key="other.display"/>&nbsp;
            <input type="text" id="customMediaTypeIDOtherValue"/>
        </span>
    </td>
</tr>
<tr>
    <td colspan="2" class="buttonRow">
        <input type="button" class="button"
               value="<fmt:message key="create.content"/>"
               onclick="generateNewUI('<%=ccb.getPathWithVersion()%>')"/>
        <input type="button" class="button"
                   value="<fmt:message key="cancel"/>"
                   onclick="showHide('add-resource-div')"/>
    </td>
</tr>
<tr>
    <td colspan="2">
        <br/>

        <div id="customAddUIDiv">
        </div>
    </td>
</tr>
</table>

</td>
</tr>

<!-- symlink content UI -->

<tr id="symlinkContentUI" style="display:none;">
<td colspan="2">
<form name="symlinkContentForm1" id="symlinkContentForm1" action="/wso2registry/system/addSymbolicLink"
      method="post">
    <input type="hidden" id="srParentPath" name="path" value="<%=ccb.getPathWithVersion()%>"/>

    <table class="styledLeft">
    <tr>
        <td valign="top" style="width:120px;"><fmt:message key="name"/> <span
                class="required">*</span></td>
        <td><input type="text" id="srFileName" name="filename" style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="path"/><span
                class="required">*</span></td>
        <td>
            <input id="srPath" name="targetpath"/>
            <input type="button" class="button"
                                       value=".." title="Resource Tree"
                                       onclick="showResourceTree('srPath');"/>
        </td>
    </tr>
    <tr>
        <td colspan="2" class="buttonRow">
            <input type="button" class="button" value="<fmt:message key="add"/>"
                   style="margin-top:10px;"
                   onclick="whileUpload();submitSymlinkContentForm();"/>
            <input type="button" class="button"
                   value="<fmt:message key="cancel"/>"
                   onclick="showHide('add-resource-div')"/>
        </td>
    </tr>
    </table>

</form>
</td>
</tr>


<!-- remotelink content UI -->

<tr id="remotelinkContentUI" style="display:none;">
<td colspan="2">
<form name="symlinkContentForm" id="remotelinkContentForm" action="/wso2registry/system/addRemoteLink"
      method="post">
    <input type="hidden" id="rrParentPath" name="path" value="<%=ccb.getPathWithVersion()%>"/>

    <table class="styledLeft">
    <tr>
        <td valign="top" style="width:120px;"><fmt:message key="name"/> <span
                class="required">*</span></td>
        <td><input type="text" id="rrFileName" name="filename" style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td valign="top"><fmt:message key="remote.instance"/><span
                class="required">*</span></td>
        <%
            String[] remoteInstances = {"No instances available"};
            String[] instances = ccb.getRemoteInstances();
            if (instances != null) {
                remoteInstances = instances;
            }
        %>
        <td>
            <select id="rrInstance"/>
            <% for(int i=0; i<remoteInstances.length; i++) {
            %>
            <option value="<%=remoteInstances[i]%>"><%=remoteInstances[i]%></option>
            <%
                }
             %>
            
        </td>
    </tr>
    <tr>
        <td valign="top" style="width:120px;"><fmt:message key="path"/></td>
        <td><input type="text" id="rrTargetPath" name="rrTargetPath" style="margin-bottom:10px;"/></td>
    </tr>
    <tr>
        <td colspan="2" class="buttonRow">
        <%if (instances == null) {
        %>

       <input type="button" class="button" value="<fmt:message key="add"/>"
                   style="margin-top:10px;" disabled="disabled" />
            <%
    } else {
           %>
            <input type="button" class="button" value="<fmt:message key="add"/>"
                   style="margin-top:10px;"
                   onclick="whileUpload();submitRemotelinkContentForm();"/>
   <% }
            %>
            <input type="button" class="button"
                   value="<fmt:message key="cancel"/>"
                   onclick="showHide('add-resource-div')"/>
        </td>
    </tr>
    </table>

</form>
</td>
</tr>
</tbody>
</table>
</div>


<!-- Add folder div -->
<div class="add-resource-div" id="add-folder-div" style="display:none;">

    <form name="collectionForm" method="post" action="add_collection_ajaxprocessor.jsp"
          onsubmit="return submitCollectionAddForm();">
        <input id="parentPath" type="hidden" name="parentPath"
               value="<%=ccb.getPathWithVersion()%>"/>

        <div class="validationError" id="collectionReason" style="display:none;"></div>
        <table width="100%" border="0" cellspacing="0" cellpadding="0" class="styledLeft noBorders">
            <tbody>
            <tr>
                <td class="middle-header" colspan="2"><strong><fmt:message
                        key="add.collection"/></strong></td>
            </tr>
            <tr>
                <td valign="top" style="width:120px;"><fmt:message key="name"/> <span
                        class="required">*</span></td>

                <td><input type="text" id="collectionName" name="collectionName"/></td>
            </tr>
            <tr>
                <td valign="top"><fmt:message key="media.type1"/></td>
                <td>
                    <select id="mediaType" onchange="updateOther('mediaType', '<fmt:message key="other"/>')">
                        <option value=""><fmt:message key="none"/></option>
<%
            if(colMimeMappings != null) {
                String[] mimeMappingArray = colMimeMappings.split(",");
                for(String mimeMapping: mimeMappingArray) {
                    String[] mimeParts = mimeMapping.split(":");
                    %><option value="<%=mimeParts[1]%>"><%=mimeParts[1]%></option><%
                }
            }
%>
                    <option value="<fmt:message key="other"/>"><fmt:message key="other"/></option>
                </select>&nbsp;&nbsp;
                <span id="mediaTypeOther" style="display:none"><fmt:message key="other.display"/>&nbsp;
                    <input type="text" id="mediaTypeOtherValue"/>
                </span>
                </td>
            </tr>
            <tr>
                <td valign="top"><fmt:message key="description"/></td>
                <td><textarea name="description" id="colDesc" class="normal-textarea"></textarea>
                </td>
            </tr>
            <tr>
                <td class="buttonRow" colspan="2">
                    <input type="button" class="button"
                           value="<fmt:message key="add"/>"
                           onclick="submitCollectionAddForm()"/>
                    <input type="button" class="button"
                           value="<fmt:message key="cancel"/>"
                           onclick="showHide('add-folder-div')"/>
                </td>
            </tr>
            </tbody>
        </table>
    </form>
</div>
<div id="entryListReason" class="validationError" style="display: none;"></div>
<div id="entryList">
<table cellpadding="0" cellspacing="0" border="0" style="width:100%"
       class="styledLeft">
<%
    if (ccb.getChildCount() != 0) {
%>
<thead>
<tr>
    <th><fmt:message key="name"/></th>
    <th><fmt:message key="created.date"/></th>
    <th><fmt:message key="author"/></th>
    <th><fmt:message key="rating"/></th>
</tr>
</thead>
<tbody>
<%
    int totalCount = ccb.getChildCount();

    int start;
    int end;
    int itemsPerPage = RegistryConstants.ITEMPS_PER_PAGE;

    int pageNumber;
    if (requestedPage != null) {
        pageNumber = new Integer(requestedPage).intValue();
    } else {
        pageNumber = 1;
    }

    int numberOfPages = 1;
    if (totalCount % itemsPerPage == 0) {
        numberOfPages = totalCount / itemsPerPage;
    } else {
        numberOfPages = totalCount / itemsPerPage + 1;
    }

    if (totalCount < itemsPerPage) {
        start = 0;
        end = totalCount;
    } else {
        start = (pageNumber - 1) * itemsPerPage;
        end = (pageNumber - 1) * itemsPerPage + itemsPerPage;
    }

    String[] childNodes = Utils.getChildren(start, itemsPerPage, ccb);
    ResourceData[] resourceDataSet;
    try {
        resourceDataSet = client.getResourceData(childNodes);
    } catch(Exception e) {
        %>
<jsp:include page="../admin/error.jsp"/>
<%
        return;
    }
    int entryNumber = 0;

    //for (int i = start; i <= end; i++) {
    for (int ri = 0; ri < resourceDataSet.length; ri++) {
        ResourceData resourceData = resourceDataSet[ri];
        //    ResourceData resourceData = (ResourceData) collection.getResourceDataList().get(i);
        entryNumber++;
%>

<tr id="1">
    <%
        String resourceNameSmall = resourceData.getName();
        if (resourceNameSmall.length() >= 16) {
            resourceNameSmall = resourceNameSmall.substring(0, 13) + "..";
        }

    %>
    <td valign="top"  id="actionPaneHelper<%=entryNumber%>" class="action-pane-helper">
         <table cellpadding="0" cellspacing="0" border="0" style="width:100%">
         <tr>
         <td class="entryName-left" style="border:none !important;padding:0px !important;margin:0px !important;">
      
	        <% if (resourceData.getResourceType().equals(UIConstants.COLLECTION)) { %>
	        <a class=<% if(resourceData.getLink()){
		        	if (!resourceData.getMounted()) { 
		        	%>"folder-small-icon-link-y"<% 
		        	}else{
		        	%>"folder-small-icon-link-x"<%
		        	}
	        	}else {
	        	 %>"folder-small-icon-link"<% 
	        	 } %>
	           onclick="loadResourcePage('<%=resourceData.getResourcePath()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"
	           id="resourceView<%=entryNumber%>"
	           title="<%=resourceData.getName()%>"><%=resourceNameSmall%>
	        </a>
	
	
	        <% } else { %>
	         <a class=<% if(resourceData.getLink()){
		        	if (!resourceData.getMounted()) { 
		        	%>"resource-icon-link-y"<% 
		        	}else{
		        	%>"resource-icon-link-x"<%
		        	}
	        	}else {                                                            
	        	 %>"resource-icon-link"<% 
	        	 } %>
	           <% if(!resourceData.getExternalLink()){ %>
               onclick="loadResourcePage('<%=resourceData.getResourcePath()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"
             <% } else {
                client = new ResourceServiceClient(cookie, config, session);
                 String orignalPath = (String)request.getAttribute("path");
                 request.setAttribute("path", resourceData.getResourcePath());
                String url = client.getExternalURL(request);
                 request.setAttribute("path", orignalPath);
             %>
             href="<%=url%>"
             <% }%>
	           id="resourceView<%=entryNumber%>" title="<%=resourceData.getName()%>">
	            <%=resourceNameSmall%>
	        </a>
	
	        <% } %>
	 </td>
	 <td class="entryName-right" style="border:none !important;padding:0px !important;margin:0px !important;">
        	<a style="float:right;" id="actionLink<%=entryNumber%>" onclick="loadActionPane('<%=entryNumber%>')" title="<fmt:message key='actions'/>" class="entryName-contracted"><fmt:message key='actions'/></a>
        </td>
        </tr>
        </table>
        
    </td>

    <td valign="top">
    <div style="width:90px;">
        <% if(resourceData.getCreatedOn() != null) { %>
        <span style="cursor:default" title="<%=resourceData.getFormattedCreatedOn()%>">
        <%
            if (resourceData.getFormattedCreatedOn().length() > 10) {
        %><%=resourceData.getFormattedCreatedOn().subSequence(0, 8) + ".."%>
        <%
        } else { %>
        <%=resourceData.getFormattedCreatedOn()%>
        <% } %>
        </span>
        <% } %>
    </div>
    </td>
    <td valign="top">
     <span style="cursor:default" title="<%=resourceData.getAuthorUserName()%>">
    <%
            if (resourceData.getAuthorUserName().length() > 7) {
        %><%=resourceData.getAuthorUserName().subSequence(0, 5) + ".."%>
        <%
        } else { %>
        <%=resourceData.getAuthorUserName()%>
        <% } %>
    </span>
    </td>
    <td valign="top" class="rating-display">
        <div style="width:100px;">
            <a style="cursor:default;" title="<%=resourceData.getAverageRating()%>">
                <img src="../resources/images/r<%=resourceData.getAverageStars()[0]%>.gif"
                     align="top"/>
                <img src="../resources/images/r<%=resourceData.getAverageStars()[1]%>.gif"
                     align="top"/>
                <img src="../resources/images/r<%=resourceData.getAverageStars()[2]%>.gif"
                     align="top"/>
                <img src="../resources/images/r<%=resourceData.getAverageStars()[3]%>.gif"
                     align="top"/>
                <img src="../resources/images/r<%=resourceData.getAverageStars()[4]%>.gif"
                     align="top"/>
            </a>
        </div>
    </td>
</tr>
<tr id="actionPane<%=entryNumber%>" style="display:none" class="actionPaneSelector">
   <td colspan="4" class="action-pane">
   <div>

   <%
       if (!ccb.getVersionView()) { %>

            <% if (resourceData.getResourceType().equals(UIConstants.COLLECTION)) { %> 
            
	            <% if (resourceData.getPutAllowed()){ %>
		            <a class="edit-icon-link"
		               onclick="javascript:showHideCommon('rename_panel<%=entryNumber%>');hideOthers(<%=entryNumber%>,'rename');if($('rename_panel<%=entryNumber%>').style.display!='none')$('resourceEdit<%=entryNumber%>').focus();">
		                <fmt:message key="edit"/></a>
            	     <% }
                     if(resourceData.getDeleteAllowed()){%>
	    	    <a class="move-icon-link"
	               onclick="showHideCommon('move_panel<%=entryNumber%>');hideOthers(<%=entryNumber%>,'move');">
	                <fmt:message key="move"/></a>
                <a class="delete-icon-link"
	               onclick="hideOthers(<%=entryNumber%>,'del');deleteResource('<%=resourceData.getResourcePath()%>', '<%=ccb.getPathWithVersion()%>');"
	                    >
	                <fmt:message key="delete"/></a>
                <%}
                if(resourceData.getGetAllowed()){%>
	            <a class="copy-icon-link"
	               onclick="showHideCommon('copy_panel<%=entryNumber%>');hideOthers(<%=entryNumber%>,'copy');">
	                <fmt:message key="copy"/></a>
            <%}%>


            <% } else { %>
	            <% if (resourceData.getPutAllowed()){ %>
	            <a class="edit-icon-link"
	               onclick="javascript:showHideCommon('rename_panel<%=entryNumber%>');hideOthers(<%=entryNumber%>,'rename');if($('rename_panel<%=entryNumber%>').style.display!='none')$('resourceEdit<%=entryNumber%>').focus();">
	                <fmt:message key="edit"/></a>
	            <% }
                if(resourceData.getDeleteAllowed()){%>

	            <a class="move-icon-link"
	               onclick="showHideCommon('move_panel<%=entryNumber%>');hideOthers(<%=entryNumber%>,'move');">
	                <fmt:message key="move"/></a>
                <a class="delete-icon-link" style="margin-left:5px"
	               onclick="hideOthers(<%=entryNumber%>,'del');deleteResource('<%=resourceData.getResourcePath()%>', '<%=ccb.getPathWithVersion()%>')">
	                <fmt:message key="delete"/></a>
	            <%}
                if(resourceData.getGetAllowed()){%>
                <a class="copy-icon-link"
	               onclick="showHideCommon('copy_panel<%=entryNumber%>');hideOthers(<%=entryNumber%>,'copy');">
	                <fmt:message key="copy"/></a>
       <%}%>


            <% } %>
   <% } %>
    <a class="feed-small-res-icon-link" href="<%=Utils.getAtomURL(config, request, resourceData.getResourcePath() +
    ((resourceData.getResourceType().equals(UIConstants.COLLECTION)) ? "" : ";logs"))%>"
       target="_blank">
        <fmt:message key="feed"/>
    </a>
    
    <% if (resourceData.getDeleteAllowed() && !ccb.getVersionView() && !resourceData.getAbsent().equals("true")) { %>
	    <% if (!resourceData.getResourceType().equals(UIConstants.COLLECTION)) {
            String path;
            if (resourceData.getRealPath() != null) {
                path = resourceData.getRealPath();
            } else {
                path = resourceData.getResourcePath();
            }
            if (path.startsWith("http")) {
                %>
                <a class="download-icon-link"
		           href="<%=path%>"
		           target="_blank"><fmt:message key="download"/></a>
       <%
            } else {
        %>
	    <a class="download-icon-link"
		           href="<%=Utils.getResourceDownloadURL(request, path)%>"
		           target="_blank"><fmt:message key="download"/></a>
	    <% } }%>
    <% } %>
   </div>
   </td>
</tr>
<tr class="copy-move-panel" id="copy_panel<%=entryNumber%>" style="display:none;">
    <td colspan="4" align="left">
        <table cellpadding="0" cellspacing="0" class="styledLeft">
            <thead>
            <tr>
                <th colspan="2">Copy <%=resourceData.getResourceType()%>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td><fmt:message key="destination.path"/><span class="required">*</span></td>
                <td><input type="text" id="copy_destination_path<%=entryNumber%>"/><input
                        type="button"
                        title="<fmt:message key="resource.tree"/>"
                        onclick="showResourceTree('copy_destination_path<%=entryNumber%>');"
                        value=".." class="button"/></td>
            </tr>
            <tr>
                <td class="buttonRow" colspan="2">
                    <input type="button" class="button" value="<fmt:message key="copy"/>"
                           onclick="copyResource('<%=ccb.getPathWithVersion()%>', '<%=resourceData.getResourcePath()%>','copy_destination_path<%=entryNumber%>','<%=resourceData.getName()%>',<%=pageNumber%>)"/>
                    <input
                            type="button" style="margin-left:5px;" class="button"
                            value="<fmt:message key="cancel"/>"
                            onclick="showHideCommon('copy_panel<%=entryNumber%>')"/></td>
            </tr>
            </tbody>
        </table>
    </td>
</tr>
<tr class="copy-move-panel" id="move_panel<%=entryNumber%>" style="display:none;">
    <td colspan="4" align="left">
        <table cellpadding="0" cellspacing="0" class="styledLeft">
            <thead>
            <tr>
                <th colspan="2"><fmt:message key="move"/> <%=resourceData.getResourceType()%>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td><fmt:message key="destination.path"/><span class="required">*</span></td>
                <td><input type="text" id="move_destination_path<%=entryNumber%>"/> <input
                        type="button"
                        class="button"
                        title="<fmt:message key="resource.tree"/>"
                        onclick="showResourceTree('move_destination_path<%=entryNumber%>');"
                        value=".."/></td>
            </tr>
            <tr>
                <td class="buttonRow" colspan="2">
                    <input type="button" class="button" value="<fmt:message key="move"/>"
                           onclick="moveResource('<%=ccb.getPathWithVersion()%>', '<%=resourceData.getResourcePath()%>','move_destination_path<%=entryNumber%>','<%=resourceData.getName()%>',<%=pageNumber%>)"/>
                    <input
                            type="button" style="margin-left:5px;" class="button"
                            value="<fmt:message key="cancel"/>"
                            onclick="showHideCommon('move_panel<%=entryNumber%>')"/></td>
            </tr>
            </tbody>
        </table>
    </td>
</tr>
<tr class="copy-move-panel" id="rename_panel<%=entryNumber%>" style="display:none;">
    <td colspan="4" align="left">
        <table cellpadding="0" cellspacing="0" class="styledLeft">
            <thead>
            <tr>
                <th><fmt:message key="editing.name"/> <%=resourceData.getResourceType()%> <fmt:message key="editing.name.name"/>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td>New <% if (resourceData.getResourceType().equals(UIConstants.COLLECTION)) { %>
                    <fmt:message key="collection"/><% } else {%><fmt:message key="resource"/><% } %>
                    Name <span class="required">*</span>  <input value="<%=resourceData.getName()%>" type="text"
                                id="resourceEdit<%=entryNumber%>"/></td>
            </tr>
            <tr>
                <td class="buttonRow">
                    <input type="button" class="button" value="<fmt:message key="rename"/>"
                           onclick="renameResource('<%=ccb.getPathWithVersion()%>', '<%=resourceData.getResourcePath()%>', 'resourceEdit<%=entryNumber%>',<%=pageNumber%>, <% if (resourceData.getResourceType().equals(UIConstants.COLLECTION)) { %>'collection'<% } else { %>'resource'<% } %>);"/>
                    <input
                        type="button" style="margin-left:5px;" class="button"
                        value="<fmt:message key="cancel"/>"
                        onclick="showHideCommon('rename_panel<%=entryNumber%>')"/>
                </td>
            </tr>
            </tbody>
        </table>

    </td>
</tr>
<tr class="copy-move-panel" id="del_panel<%=entryNumber%>" style="display:none;">
    <td colspan="4" align="left">
        <table cellpadding="0" cellspacing="0" class="styledLeft">
            <thead>
            <tr>
                <th><fmt:message key="confirm.delete"/> <%=resourceData.getResourceType()%>
                </th>
            </tr>
            </thead>
            <tbody>
            <tr>
                <td><fmt:message key="confirm.remove.resource.message"/>
                    <%=resourceData.getResourceType()%> '<%=resourceData.getName()%>'
                    <br/><strong><fmt:message key="warning"/>: </strong>
                    <fmt:message key="undo.warning.message"/>
                </td>
            </tr>
            <tr>
                <td class="buttonRow">
                    <input type="button" class="button" value="<fmt:message key="yes"/>"
                           onclick="deleteResource('<%=resourceData.getResourcePath()%>', '<%=ccb.getPathWithVersion()%>')"/>
                    <input style="margin-left:5px;" class="button" type="button"
                           value="<fmt:message key="no"/>"
                           onclick="showHideCommon('del_panel<%=entryNumber%>')"/>
                </td>
            </tr>
            </tbody>
        </table>
    </td>
</tr>

<% }
    if (totalCount <= itemsPerPage) {
        //No paging
    } else {
%>
<tr>
    <td colspan="4" class="pagingRow" style="padding-top:10px; padding-bottom:10px;">

        <%
            if (pageNumber == 1) {
        %>
        <span class="disableLink">< Prev</span>
        <%
        } else {
        %>
        <a class="pageLinks"
           onclick="navigatePages(<%=(pageNumber-1)%>, '<%=ccb.getPathWithVersion()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"><
            <fmt:message key="prev"/></a>
        <%
            }
            if (numberOfPages <= 10) {
                for (int pageItem = 1; pageItem <= numberOfPages; pageItem++) { %>

        <a class=<% if(pageNumber==pageItem){ %>"pageLinks-selected"<% } else { %>
        "pageLinks" <% } %>
        onclick="navigatePages(<%=pageItem%>, '<%=ccb.getPathWithVersion()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')" ><%=pageItem%></a>
        <% }
        } else {
            String place = "middle";
            int pageItemFrom = pageNumber - 2;
            int pageItemTo = pageNumber + 2;

            if (numberOfPages - pageNumber <= 5) place = "end";
            if (pageNumber <= 5) place = "start";

            if (place == "start") {
                pageItemFrom = 1;
                pageItemTo = 7;
            }
            if (place == "end") {
                pageItemFrom = numberOfPages - 7;
                pageItemTo = numberOfPages;
            }

            if (place == "end" || place == "middle") {


                for (int pageItem = 1; pageItem <= 2; pageItem++) { %>

        <a class="pageLinks"
           onclick="navigatePages(<%=pageItem%>, '<%=ccb.getPathWithVersion()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"><%=pageItem%>
        </a>
        <% } %>
        ...
        <%
            }

            for (int pageItem = pageItemFrom; pageItem <= pageItemTo; pageItem++) { %>

        <a class=<% if(pageNumber==pageItem){ %>"pageLinks-selected"<% } else {%>"pageLinks"<% } %>
        onclick="navigatePages(<%=pageItem%>, '<%=ccb.getPathWithVersion()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"><%=pageItem%></a>
        <% }

            if (place == "start" || place == "middle") {
        %>
        ...
        <%
            for (int pageItem = (numberOfPages - 1); pageItem <= numberOfPages; pageItem++) { %>

        <a class="pageLinks"
           onclick="navigatePages(<%=pageItem%>, '<%=ccb.getPathWithVersion()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')"
           style="margin-left:5px;margin-right:5px;"><%=pageItem%>
        </a>
        <% }
        }

            if (place == "middle") {

            }
            //End middle display
        }
            if (pageNumber == numberOfPages) {
        %>
        <span class="disableLink"><fmt:message key="next"/> ></span>
        <%
        } else {
        %>
        <a class="pageLinks"
           onclick="navigatePages(<%=(pageNumber+1)%>, '<%=ccb.getPathWithVersion()%>','<%=viewMode%>','<%=resourceConsumer%>','<%=targetDivID%>')">Next
            ></a>
        <%
            }
        %>

    </td>
</tr>
<%
        }
    }

%>
<tr>
        <%--This empty td is required to solve the bottom margin problem on IE. Do not remove!!--%>
    <td align="left" colspan="4" style="height:0px;border-bottom:0px;">
    </td>
</tr>
</tbody>
</table>
</div>
</fmt:bundle>
