<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.resource.clients.ResourceServiceClient" %>
<%@ page import="org.wso2.carbon.registry.common.utils.RegistryUtil" %>
<%@ page import="org.wso2.carbon.registry.common.utils.CommonUtil" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.beans.xsd.VersionsBean" %>
<%@ page import="org.wso2.carbon.registry.ui.resources.beans.xsd.VersionPath" %>
<%
    String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);

    VersionsBean versionBean;
    try {
        ResourceServiceClient client = new ResourceServiceClient(cookie, config, session);
        String path = request.getParameter("path");
        versionBean = client.getVersionsBean(path);
    } catch (Exception e) {
%>
<jsp:forward page="../admin/error.jsp?<%=e.getMessage()%>"/>
<%
        return;
    }
%>
<link rel="stylesheet" type="text/css" href="css/registry.css"/>
<fmt:bundle basename="org.wso2.carbon.registry.ui.resource.i18n.Resources">
    <carbon:breadcrumb label="versions"
                       resourceBundle="org.wso2.carbon.registry.ui.resource.i18n.Resources"
                       topPage="false" request="<%=request%>"/>

    <div id="middle">

        <h2><fmt:message key="versions.of"/> <a
                href="resource.jsp?path=<%=versionBean.getResourcePath()%>">
                <%
               		String resourcePath = versionBean.getResourcePath();
                	String firstPart = "";
                	String lastPart = "";
			String strScreenWidth = request.getParameter("screenWidth");
			
			int lastSlashIndex = 0;
			int intScreenWidth = Integer.parseInt(strScreenWidth);
			int maxChars = 0;
			
			if (intScreenWidth > 1024)
			{
				maxChars = 175;
			}
			else
			{
				maxChars = 100;
			}
			
			if (resourcePath.length() > maxChars)
			{
				firstPart = resourcePath.substring(0,maxChars);
				lastSlashIndex = firstPart.lastIndexOf("/");
				firstPart = resourcePath.substring(0,lastSlashIndex);
				
				lastPart = versionBean.getResourcePath().substring(lastSlashIndex);
				resourcePath = "<br/>"+firstPart+"<br/>"+lastPart;
			}
			else
			{
				resourcePath = "<br/>"+versionBean.getResourcePath();
			}
	                out.println(resourcePath);
                %>
        </a></h2>

        <div id="workArea">

            <!-- all the content goes here -->
            <table id="versionsTable" class="styledLeft">
                <thead>
                <tr>
                    <th><fmt:message key="version"/></th>
                    <th><fmt:message key="last.modified.date"/></th>
                    <th><fmt:message key="last.modified.by"/></th>
                    <th><fmt:message key="actions"/></th>
                </tr>
                </thead>

                <%
                    if (versionBean.getVersionPaths().length < 1) {
                %>
                <tr>
                    <td colspan="4">
                        <strong><fmt:message key="no.versions.available.for.this.resource.or.resource.collection"/>. </strong>
                    </td>
                </tr>
                <%
                    }

                    for (VersionPath versionPath : versionBean.getVersionPaths()) {

                %>

                <tr>
                    <td>
                        <%=versionPath.getVersionNumber()%>
                    </td>
                    <td>
                        <%=CommonUtil.formatDate(versionPath.getUpdatedOn().getTime())%>
                    </td>
                    <td>
                        <%=versionPath.getUpdater()%>
                    </td>
                    <td>
                        <a href="./resource.jsp?path=<%=versionPath.getCompleteVersionPath()%>"
                           class="details-icon-link"><fmt:message key="details"/></a>
                        <% if (versionBean.getLoggedIn() && versionBean.getPutAllowed()) { %>
                        <a href="./restore_version_ajaxprocessor.jsp?versionPath=<%=versionPath.getCompleteVersionPath()%>&path=<%=versionPath.getActiveResourcePath()%>"
                           class="restore-icon-link"><fmt:message key="restore"/></a>
                        <% } %>
                    </td>
                </tr>


                <%
                    }
                %>
            </table>


        </div>
    </div>

    <script type="text/javascript">
        alternateTableRows('versionsTable', 'tableEvenRow', 'tableOddRow');
    </script>
</fmt:bundle>
