<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar" prefix="carbon" %>

<%@ page import="org.wso2.carbon.registry.ui.common.UIConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.search.beans.xsd.AdvancedSearchResultsBean" %>
<%@ page import="org.wso2.carbon.registry.ui.search.beans.xsd.SearchResultsBean" %>
<%@ page import="org.wso2.carbon.registry.ui.search.clients.SearchServiceClient" %>
<%@ page import="org.wso2.carbon.registry.ui.search.common.xsd.ResourceData" %>
<%@ page import="org.wso2.carbon.registry.ui.search.common.xsd.TagCount" %>
<%@ page import="org.wso2.carbon.ui.CarbonUIMessage" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.registry.ui.common.utils.UIUtil" %>

<fmt:bundle basename="org.wso2.carbon.registry.ui.search.i18n.Resources">

    <%
        String cookie = (String) session.getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);
        SearchServiceClient client = new SearchServiceClient(cookie, config, session);
        AdvancedSearchResultsBean advancedSearchBean;
        try {
            advancedSearchBean = client.getAdvancedSearchResults(request);
        } catch (Exception e) {
        response.setStatus(500);
        CarbonUIMessage uiMsg = new CarbonUIMessage(CarbonUIMessage.ERROR, e.getMessage(), e);
        session.setAttribute(CarbonUIMessage.ID, uiMsg);
%>
    <jsp:include page="../admin/error.jsp?<%=e.getMessage()%>"/>
<%
        return;
    }
        ResourceData[] resourceDataList = advancedSearchBean.getResourceDataList();
        if (resourceDataList.length != 0) {
    %>
    
    <h3 style="margin-top:20px;margin-bottom:20px;"> <fmt:message key="search.results"/> </h3>
    <table cellpadding="0" cellspacing="0" border="0" style="width:100%" class="styledLeft">
        <thead>
        <tr>
            <th style="padding-left:5px;text-align:left;">&nbsp;</th>
            <th style="padding-left:5px;text-align:left;"><fmt:message key="created"/></th>
            <th style="padding-left:5px;text-align:left;"><fmt:message key="author"/></th>
            <th style="padding-left:5px;text-align:left;"><fmt:message key="rating"/></th>
        </tr>
        </thead>
        <tbody>
        <%
            for (int i = 0; i < resourceDataList.length; i++) {
                ResourceData resourceData = resourceDataList[i];

                if (resourceData == null) {
                    continue;    
                }
        %>
        <tr id="1">
            <% if (resourceData.getResourceType().equals("collection")) { %>
            <td style="padding-left:5px;padding-top:3px;text-align:left;"><img
                    src="images/icon-folder-small.gif" style="margin-right:5px;" align="top"/><a
                    href="<%=UIUtil.getContextRoot(request)%>carbon/resources/resource.jsp?path=<%=resourceData.getResourcePath()%>"><%=resourceData.getResourcePath()%>
            </a></td>
            <% } %>
            <% if (resourceData.getResourceType().equals("resource")) { %>
            <td style="padding-left:5px;padding-top:3px;text-align:left;"><img
                    src="images/resource.gif" style="margin-right:5px;" align="top"/><a
                    href="<%=UIUtil.getContextRoot(request)%>carbon/resources/resource.jsp?path=<%=resourceData.getResourcePath()%>"><%=resourceData.getResourcePath()%>
            </a></td>
            <% } %>

            <td style="padding-left:5px;padding-top:3px;text-align:left;"><nobr><%=resourceData.getFormattedCreatedOn()%></nobr>
            </td>
            <td style="padding-left:5px;padding-top:3px;text-align:left;"><%=resourceData.getAuthorUserName()%>
            </td>
            <td style="padding-left:5px;padding-top:3px;text-align:left;">
            <div style="width:140px;">
                <img src="images/r<%=resourceData.getAverageStars()[0]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[1]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[2]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[3]%>.gif"/>
                <img src="images/r<%=resourceData.getAverageStars()[4]%>.gif"/>
                (<%=resourceData.getAverageRating()%>)
            </div>
            </td>
        </tr>
            <%--<tr id="1-des" style="display:none;">--%>
            <%--<td class="table-description">--%>
            <%--<%=resourceData.getDescription()%>--%>
            <%--</td>--%>
            <%--</tr>--%>

        <% } %>

        </tbody>
    </table>

    <%
    } else {
    %>
    
    <strong><fmt:message key="your.search.did.not.match.any.resources"/></strong>
    <%
        }
    %>
</fmt:bundle>